Bug 609352 - Review Request: perl-Catalyst-Plugin-Unicode-Encoding - Unicode aware Catalyst
Summary: Review Request: perl-Catalyst-Plugin-Unicode-Encoding - Unicode aware Catalyst
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Catalyst-...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-30 04:14 UTC by Iain Arnell
Modified: 2010-08-06 03:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-06 03:19:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-06-30 04:14:11 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-Plugin-Unicode-Encoding.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc14.src.rpm

Description:
On request, decodes all params from encoding into a sequence of logical
characters. On response, encodes body into encoding.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2282093

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-06-30 06:32:29 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2282093
+ rpmlint output for SRPM and for RPM.
perl-Catalyst-Plugin-Unicode-Encoding.noarch: W: spelling-error %description -l en_US params -> paras, prams, para's
perl-Catalyst-Plugin-Unicode-Encoding.src: W: spelling-error %description -l en_US params -> paras, prams, para's
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
==> Can be ignored.
+ source files match upstream url (sha1sum)
5057de66200cd8e05b5bc36479c509cca6707a8e  Catalyst-Plugin-Unicode-Encoding-1.0.tar.gz
5057de66200cd8e05b5bc36479c509cca6707a8e  Catalyst-Plugin-Unicode-Encoding-1.0.tar.gz.srpm
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=43,  3 wallclock secs ( 0.03 usr  0.01 sys +  2.72 cusr  0.14 csys =  2.90 CPU)
+ Package perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc14.noarch =>
Provides: perl(Catalyst::Plugin::Unicode::Encoding) = 1.0
Requires: perl(base) perl(Carp) perl(Encode) >= 2.21 perl(MRO::Compat) perl(strict) rpmlib(VersionedDependencies) <= 3.0.3-1
+ Not a GUI application


Here looks Requires: for dependent packages is needed in spec as its not extracted by rpm dependency generator.


APPROVED.

Comment 2 Iain Arnell 2010-06-30 06:43:34 UTC
New Package CVS Request
=======================
Package Name: perl-Catalyst-Plugin-Unicode-Encoding
Short Description: Unicode aware Catalyst
Owners: iarnell
Branches: F-12 F-13
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-07-01 04:56:28 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-07-01 15:39:15 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc13.2 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc13.2

Comment 5 Fedora Update System 2010-07-01 15:39:20 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc12.2 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc12.2

Comment 6 Fedora Update System 2010-07-05 22:01:36 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc12.2 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Plugin-Unicode-Encoding'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc12.2

Comment 7 Fedora Update System 2010-07-05 22:05:57 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc13.2 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Plugin-Unicode-Encoding'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.0-1.fc13.2

Comment 8 Fedora Update System 2010-07-11 09:13:16 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc13

Comment 9 Fedora Update System 2010-07-11 09:13:22 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc12

Comment 10 Fedora Update System 2010-07-13 07:23:34 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Plugin-Unicode-Encoding'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc13

Comment 11 Fedora Update System 2010-07-13 07:40:20 UTC
perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Catalyst-Plugin-Unicode-Encoding'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/perl-Catalyst-Plugin-Unicode-Encoding-1.1-1.fc12

Comment 12 Iain Arnell 2010-08-06 03:19:27 UTC
These got pushed to stable, but bodhi failed to update the bug.


Note You need to log in before you can comment on or make changes to this bug.